import { Controller } from "@hotwired/stimulus"

export default class extends Controller {
  static targets = ["hamburger", "menu"]

  toggle() {
    if (this.menuTarget.classList.contains("hidden")) {
      this.open()
    } else {
      this.close()
    }
  }

  open() {
    this.menuTarget.classList.remove("hidden")
  }

  close() {
    this.menuTarget.classList.add("hidden")
  }
}